<?php
$specificInfo = $block->getSpecificInformation();
$title = $block->escapeHtml($block->getMethod()->getTitle());
?>
<dl class="payment-method">
    <dt class="title"><?= /* @noEscape */ $title ?></dt>
    <?php if ($specificInfo):?>
        <dd class="content">
            <table class="data table">
                <caption class="table-caption"><?= /* @noEscape */ $title ?></caption>
                <?php foreach ($specificInfo as $label => $value):?>
                    <?php if (in_array($label, ['AVS zip', 'International AVS response', 'CVV2 Check Result by PayPal', 'Last Transaction ID', 'AVS Street Match'])) continue; ?>
                    <tr>
                        <th scope="row"><?= $block->escapeHtml($label) ?></th>
                        <td>
                            <?= /* @noEscape */ nl2br($block->escapeHtml(implode("\n", $block->getValueAsArray($value, true)))) ?>
                        </td>
                    </tr>
                <?php endforeach; ?>
            </table>
        </dd>
    <?php endif;?>
</dl>
<?= $block->getChildHtml() ?>
